xine-lib: demux_mpeg_pes_s Struct Reference

xine-lib 1.2.13-20230125hg15249

Data Fields
demux_mpeg_pes_s Struct Reference

## Data Fields
demux_plugin_t | demux_plugin
xine_stream_t * | stream
fifo_buffer_t * | audio_fifo
fifo_buffer_t * | video_fifo
input_plugin_t * | input
int | is_vdr
int | status
int | rate
int64_t | nav_last_end_pts
int64_t | nav_last_start_pts
int64_t | last_pts [2]
int64_t | scr
uint32_t | packet_len
uint32_t | stream_id
int64_t | pts
int64_t | dts
uint8_t | send_newpts:1
uint8_t | buf_flag_seek:1
uint8_t | preview_mode:1
uint8_t | mpeg1:1
uint8_t | wait_for_program_stream_pack_header:1
uint8_t | mpeg12_h264_detected:2
int | last_begin_time
int64_t | last_cell_time
off_t | last_cell_pos
uint8_t | preview_data [MAX_PREVIEW_SIZE]
off_t | preview_size
off_t | preview_done

## Field Documentation

## ◆ audio_fifo

fifo_buffer_t* demux_mpeg_pes_s::audio_fifo

## ◆ buf_flag_seek

uint8_t demux_mpeg_pes_s::buf_flag_seek

## ◆ demux_plugin

demux_plugin_t demux_mpeg_pes_s::demux_plugin

## ◆ dts

int64_t demux_mpeg_pes_s::dts

## ◆ input

input_plugin_t* demux_mpeg_pes_s::input

## ◆ is_vdr

int demux_mpeg_pes_s::is_vdr

## ◆ last_begin_time

int demux_mpeg_pes_s::last_begin_time

## ◆ last_cell_pos

off_t demux_mpeg_pes_s::last_cell_pos

## ◆ last_cell_time

int64_t demux_mpeg_pes_s::last_cell_time

## ◆ last_pts

int64_t demux_mpeg_pes_s::last_pts[2]

## ◆ mpeg1

uint8_t demux_mpeg_pes_s::mpeg1

## ◆ mpeg12_h264_detected

uint8_t demux_mpeg_pes_s::mpeg12_h264_detected

## ◆ nav_last_end_pts

int64_t demux_mpeg_pes_s::nav_last_end_pts

## ◆ nav_last_start_pts

int64_t demux_mpeg_pes_s::nav_last_start_pts

## ◆ packet_len

uint32_t demux_mpeg_pes_s::packet_len

## ◆ preview_data

uint8_t demux_mpeg_pes_s::preview_data[MAX_PREVIEW_SIZE]

## ◆ preview_done

off_t demux_mpeg_pes_s::preview_done

## ◆ preview_mode

uint8_t demux_mpeg_pes_s::preview_mode

## ◆ preview_size

off_t demux_mpeg_pes_s::preview_size

## ◆ pts

int64_t demux_mpeg_pes_s::pts

## ◆ rate

int demux_mpeg_pes_s::rate

## ◆ scr

int64_t demux_mpeg_pes_s::scr

## ◆ send_newpts

uint8_t demux_mpeg_pes_s::send_newpts

## ◆ status

int demux_mpeg_pes_s::status

## ◆ stream

xine_stream_t* demux_mpeg_pes_s::stream

## ◆ stream_id

uint32_t demux_mpeg_pes_s::stream_id

## ◆ video_fifo

fifo_buffer_t* demux_mpeg_pes_s::video_fifo

## ◆ wait_for_program_stream_pack_header

uint8_t demux_mpeg_pes_s::wait_for_program_stream_pack_header

The documentation for this struct was generated from the following file:

- xine-lib-1.2.13/src/demuxers/demux_mpeg_pes.c